Package org.eclipse.zest.core.viewers

# Interface IEntityConnectionStyleProvider2

All Superinterfaces:
  `IDisposable`, `IEntityConnectionStyleProvider`

public interface IEntityConnectionStyleProvider2 extends IEntityConnectionStyleProvider
Extend the IEntityConnectionStyleProvider interface to provide additional methods introduced by Zest 2.x. WARNING: THIS API IS UNDER CONSTRUCTION AND SHOULD NOT BE USED

Since:
  1.12
@noreference
  This interface is not intended to be referenced by clients.

## Method Summary

Modifier and Type
Method
Description
`ConnectionRouter`
`getRouter(Object src, Object dest)`
Returns the connection router of the single relation.
`IFigure`
`getTooltip(Object src, Object dest)`
Returns the tooltip for the connection.

### Methods inherited from interface org.eclipse.ui.services.IDisposable

`dispose`

### Methods inherited from interface org.eclipse.zest.core.viewers.IEntityConnectionStyleProvider

`getColor, getConnectionStyle, getHighlightColor, getLineWidth, getTooltip`

## Method Details

### getTooltip

IFigure getTooltip(Object src, Object dest)
Returns the tooltip for the connection.

Parameters:
  `src` - the source entity.
  `dest` - the destination entity.
Returns:
  the tooltip for the connection. Null for default.
Since:
  1.12

### getRouter

ConnectionRouter getRouter(Object src, Object dest)
Returns the connection router of the single relation.

Parameters:
  `src` - the source entity.
  `dest` - the destination entity.
Returns:
  the router for the connection. Null for default.
Since:
  1.12